function out1 = getIF5( bsave,k )
%beta
out1=[];
for i=1:size(bsave,4)
    out1x=[];
     for j=1:size(bsave,3) 
         out2x=[];
         for jj=1:size(bsave,2)
    b=bsave(:,jj,j,i);
    
    tmp=mcmc_ifac((squeeze(b)),k);
    out2x=[out2x;tmp];
         end
    out1x=[out1x;out2x];
     end
    out1=[out1;out1x];
end

end

